#ifndef _Handle_PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape_HeaderFile
#define _Handle_PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape);

class Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)():Handle(PStandard_ArrayNode)() {} 
    Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)(const Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)(const PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)& operator=(const Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape)& operator=(const PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape* operator->() const 
     {
      return (PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PNaming_VArrayNodeOfFieldOfHArray1OfNamedShape) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
